for _ in range(int(input())):
    n = int(input())
    s = list(map(int, input().split()))
    s.sort()
    a = [s[0], s[1]]
    b = [s[0]]
    f = False
    for i in range(2, n):
        if 2 * a[-1] - a[-2] <= s[i]:
            a.append(s[i])
        elif len(b) == 1 or 2 * b[-1] - b[-2] <= s[i]:
            b.append((s[i]))
        else:
            print('NO')
            f = True
            break
    if f:
        continue
    print("YES")
